Bug 127587 - isolinux can't boot with mem=
isolinux can't boot with mem=
Status: CLOSED DEFERRED
Product: Fedora
Classification: Fedora
Component: syslinux (Show other bugs)
rawhide
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-09 18:43 EDT by Bill Nottingham
Modified: 2014-03-16 22:46 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-17 11:12:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2004-07-09 18:43:25 EDT
On an EM64T box suffering from bug 116766, I attempt to boot with

mem=2G
mem=4G

etc.

In all cases, isolinux appears to corrupt the initrd, as the kernel
a) says it's mounting an ext3 fs as ext2
b) fails to read the filesystem well enough to run init/loader

Booting without mem= works.

Box has 4G of memory, with a hole that makes .5 GB appear from the
4-4.5 GB mark.
Comment 1 Bill Nottingham 2004-08-05 15:59:29 EDT
Wonder how this works with initramfs.
Comment 2 Bill Nottingham 2005-05-17 11:12:04 EDT
Will reopen this if it ever becomes a problem again.

Note You need to log in before you can comment on or make changes to this bug.